package com.fetchLocal.handler;

import com.facebook.react.bridge.ReadableMap;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.mockito.Mockito;
import java.net.HttpURLConnection;

import static org.junit.Assert.*;
import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.when;

public class JsonBodyHandlerTest {
    private JsonBodyHandler jsonBodyHandler;
    private HttpURLConnection connection;
    private ReadableMap data;

    @Before
    public void setUp() throws Exception {
        jsonBodyHandler =new JsonBodyHandler();
        connection= mock(HttpURLConnection.class);
        data= mock(ReadableMap.class);
    }

    @After
    public void tearDown() throws Exception {
    }

    @Test
    public void jsonBodyHandlerTest() throws Exception {
        when(data.getString("body")).thenReturn("{\"id\":\"appo_id\"}");
        assertEquals("{\"id\":\"appo_id\"}",jsonBodyHandler.apply(connection,data));
    }
}